# module ActiveSupport::Configurable

Configurable provides a `config` method to store and retrieve configuration options as an `OrderedHash`.

### Public Instance Methods

config() click to toggle source

Reads and writes attributes from a configuration `OrderedHash`.

    require 'active_support/configurable'

    class User
      include ActiveSupport::Configurable
    end

    user = User.new

    user.config.allowed_access = true
    user.config.level = 1

    user.config.allowed_access # => true
    user.config.level          # => 1

    # File lib/active_support/configurable.rb, line 85
    def config
      @_config ||= self.class.config.inheritable_copy
    end